# -*- coding: utf-8 -*-
# no-pylint: disable=missing-docstring

class NodePoller():
    """The NodePoller is used to poll all the nodes that are available
       in the state object, and to update their status according to
       the results."""
    def __init__(self, state):
        self.state = state

    def poll(self):
        for node in self.state.nodes.values():
            print(repr(node.config))
